<?php

/**
 * Class Core_Application_Component_ModelsAbstract
 *
 * @method static Core_Application_Component_Models getInstance()
 */
abstract class Core_Application_Component_ModelsAbstract extends Core_Singleton
{

    /**
     * @param string $name
     *
     * @return object
     */
    public function __get($name)
    {
        return Core_Application::get('models')->{$name};
    }

} 